//
// Created by jovian on 09/10/17.
//

#ifndef METABALLVISUALIZER_METAFIELD_H
#define METABALLVISUALIZER_METAFIELD_H

#include "../constantes.h"

struct MetaBall
{
    int x;
    int y;
    float power;
};


class MetaField {
public:
    MetaField();

    void clean();
    void binary(bool mat[WIN_H][WIN_W], float ceil);
    void disturb(int y, int x, float weight = 1.0);

protected:
    float m_field[WIN_H][WIN_W];
};


#endif //METABALLVISUALIZER_METAFIELD_H
